#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdio.h>
#include <gtk/gtk.h>

#include "main.h"
#include "callbacks.h"
#include "interface.h"
#include "support.h"

static int image_pixmap_visible = 0;

void
on_exit_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
	exit(0);
}


void
on_preferences_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


gboolean
on_change_year_hscale                  (GtkWidget       *widget,
                                        GdkDragContext  *drag_context,
                                        gint             x,
                                        gint             y,
                                        guint            time,
                                        gpointer         user_data)
{
	fprintf(stderr,"x: %u  y: %u\n",x,y);
	return FALSE;
}


gboolean
on_change_month_hscale                  (GtkWidget       *widget,
                                        GdkDragContext  *drag_context,
                                        gint             x,
                                        gint             y,
                                        guint            time,
                                        gpointer         user_data)
{
	fprintf(stderr,"x: %u  y: %u\n",x,y);
	return FALSE;
}


void
on_image_notebook_switch_page          (GtkNotebook     *notebook,
                                        GtkNotebookPage *page,
                                        gint             page_num,
                                        gpointer         user_data)
{
	image_pixmap_visible = 0;
	if (page_num == 1)
		image_pixmap_visible = 1;
}


void
on_image_clist_select_row              (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
	struct image_data *idp;

	idp = (struct image_data *)gtk_clist_get_row_data(clist,row);
	if (image_pixmap_visible)
		load_full_image(idp);
}


